XmDataFieldGetStringWcs(3)

NAME
XmDataFieldGetStringWcs — A DataField function that retrieves a copy of the wide character string value of a DataField widget

SYNOPSIS

#include <Xm/DataF.h>
wchar_t * XmDataFieldGetStringWcs(
Widget widget);

DESCRIPTION

XmDataFieldGetStringWcs retrieves a copy of the wide character string value of the DataField widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the DataField widget ID

For a complete definition of DataField and its associated resources, see XmDataField(3).

RETURN

Returns the wide character string value of the DataField widget. The function returns an empty string if the length of the DataField widget's string is 0 (zero).

RELATED

XmDataField(3) and XmDataFieldGetString(3).